<script type="text/javascript">	
$(document).ready(function(){
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#t_tanggal").val(data.tanggal);				
			}
		});
	}

	$("#cari").click(function(){
		var tanggal = $("#t_tanggal").val();
		var shift   = $("#txt_shift").val();
		
		if(tanggal.length==''){
			alert('Maaf, Tanggal awal periode masih kosong.');
			$("#t_tanggal").focus();
			return false;
		}
		if(shift.length==''){
			alert('Maaf, Tanggal akhir periode belum terisi.');
			$("#txt_shift").focus();
			return false;
		}
		$("#tampil_data").show();
		$("#tampil_data").load('modul/report/tampil_rekap_shift.php?tanggal='+tanggal+'&shift='+shift);
	});
	
	$("#cetak").click(function(){
		var tanggal = $("#t_tanggal").val();
		var shift   = $("#txt_shift").val();
		
		if(tanggal.length==''){
			alert('Maaf, Tanggal awal periode masih kosong.');
			$("#t_tanggal").focus();
			return false;
		}
		if(shift.length==''){
			alert('Maaf, Tanggal akhir periode belum terisi.');
			$("#txt_shift").focus();
			return false;
		}		
		window.location.href='modul/laporan/rekap_shift.php?tanggal='+tanggal+'&shift='+shift;
	});
	
	$("#tutup").click(function(){
		document.location='?module=home';
	});
});
</script>
<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
include '../../inc/inc.koneksi.php';
	
echo "<div span='12' style='background-color:white'>";
echo "<div id='form' align='center'><h2>LAPORAN SHIFT<h2></div>";
echo "<div id='filter' align='left'>
	<fieldset>
		<legend>Filter Data </legend>
		<table>
			<tr>
				<td>Tanggal</td>
				<td>:</td>
				<td><input type='date' name='t_tanggal' id='t_tanggal' size='10'></td>				
				<td>Shift</td>
				<td>:</td>
				<td><select name='txt_shift' id='txt_shift' >
					<option value='1'>1 - Pagi</option>
					<option value='2'>2 - Siang</option>
					<option value='3'>3 - Malam</option>
					</select>
				</td>
				<td colspan='3' align='right'>
					<button name='cari' id='cari'>Cari</button>
					<button name='cetak' id='cetak'>Cetak</button>
					<button name='tutup' id='tutup'>Tutup</button>
				</td>
			</tr>
		</table>
	</fieldset>
	</div><br>";
	
echo "<div id='tampil_data' align='center'></div>";

echo "</div>";
?>
